> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tabs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tabs.com/_mcp/server.

# List invoices

GET https://integrators.prod.api.tabsplatform.com/v3/invoices

Reference: https://docs.tabs.com/api-reference/invoices/getInvoices

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Tabs External API
  version: 1.0.0
paths:
  /v3/invoices:
    get:
      operationId: integrators-api-invoices-controller-get-invoices
      summary: List invoices
      tags:
        - invoices
      parameters:
        - name: page
          in: query
          description: Page Number
          required: true
          schema:
            type: number
            format: double
            default: 1
        - name: limit
          in: query
          description: Number of items to return
          required: true
          schema:
            type: number
            format: double
            default: 50
        - name: filter
          in: query
          description: |-
            Format: field:rule:value — comma-separated for multiple filters.

            Fields:
              customerId (uuid): eq, neq, in, nin, isnull, isnotnull
              total (number): eq, neq, gt, gte, lt, lte, in, nin
              contractId (uuid): eq, neq, in, nin, isnull, isnotnull
              obligationId (uuid): eq, neq, in, nin, isnull, isnotnull
              source (string): eq, neq, like, nlike, in, nin, isnull, isnotnull
              status (string): eq, neq, in, nin
              issueDate (datetime): eq, neq, gt, gte, lt, lte
              dueDate (datetime): eq, neq, gt, gte, lt, lte
              lastUpdatedAt (datetime): eq, neq, gt, gte, lt, lte

            Date-only values (YYYY-MM-DD) match the full UTC day.

            Example: filter=customerId:eq:00000000-0000-0000-0000-000000000001
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Get all Invoices by filter
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Invoices_IntegratorsApiInvoicesController_getInvoices_Response_200
servers:
  - url: https://integrators.prod.api.tabsplatform.com
    description: https://integrators.prod.api.tabsplatform.com
components:
  schemas:
    V3InvoicesGetResponsesContentApplicationJsonSchemaPayload:
      type: object
      properties: {}
      description: Response payload, will be empty when success is false
      title: V3InvoicesGetResponsesContentApplicationJsonSchemaPayload
    IntegratorsApiErrorDetails:
      type: object
      properties: {}
      description: Additional details about the error
      title: IntegratorsApiErrorDetails
    IntegratorsApiError:
      type: object
      properties:
        code:
          type: number
          format: double
          description: API response code
        message:
          type: string
          description: API response message
        details:
          $ref: '#/components/schemas/IntegratorsApiErrorDetails'
          description: Additional details about the error
      required:
        - code
        - message
      title: IntegratorsApiError
    Invoices_IntegratorsApiInvoicesController_getInvoices_Response_200:
      type: object
      properties:
        payload:
          $ref: >-
            #/components/schemas/V3InvoicesGetResponsesContentApplicationJsonSchemaPayload
          description: Response payload, will be empty when success is false
        success:
          type: boolean
          description: Boolean with true=success, false=failure
        message:
          type: string
          description: Plain-text description of the result
        error:
          $ref: '#/components/schemas/IntegratorsApiError'
          description: json element with any error messages or warnings
      required:
        - payload
        - success
        - message
        - error
      title: Invoices_IntegratorsApiInvoicesController_getInvoices_Response_200
  securitySchemes:
    custom-header:
      type: apiKey
      in: header
      name: Authorization

```

## Examples



**Response**

```json
{
  "payload": {
    "data": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "issueDate": "2021-01-01",
        "dueDate": "2021-01-01",
        "sentDate": "2021-01-01",
        "createdAt": "2021-01-01",
        "status": "DRAFT",
        "invoiceNumber": "1234",
        "memo": "A memo / note on the invoice",
        "customFields": [
          "string"
        ],
        "source": "TABS",
        "customerId": "123e4567-e89b-12d3-a456-426614174000",
        "originalDueDate": "2021-01-01",
        "originalIssueDate": "2021-01-01",
        "total": 100,
        "balanceRemaining": 100,
        "externalIds": [
          {
            "type": "QUICKBOOKS",
            "id": "123e4567-e89b-12d3-a456-426614174000"
          }
        ],
        "lineItems": [
          {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "name": "Item 1",
            "description": "string",
            "quantity": 1,
            "unitPrice": 100,
            "subtotal": 110,
            "discountTotal": 10,
            "total": 100,
            "salesTaxRate": "8.5",
            "item": {
              "id": "123e4567-e89b-12d3-a456-426614174000",
              "name": "Item 1",
              "displayName": "Item 1 (Annual)",
              "externalIds": [
                {
                  "type": "NETSUITE",
                  "id": "123e4567-e89b-12d3-a456-426614174000"
                }
              ]
            }
          }
        ],
        "paymentLink": "string",
        "poNumber": "1234",
        "paidOn": "2024-01-15T00:00:00.000Z",
        "uncollectibleOn": "2024-02-01T00:00:00.000Z",
        "lastUpdatedAt": "2024-01-01T00:00:00.000Z"
      }
    ],
    "limit": 1.1,
    "totalItems": 1.1,
    "currentPage": 1.1
  },
  "success": true,
  "message": "string",
  "error": {
    "code": 1.1,
    "message": "string",
    "details": {}
  }
}
```

**SDK Code**

```python
import requests

url = "https://integrators.prod.api.tabsplatform.com/v3/invoices"

querystring = {"page":"1","limit":"50"}

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://integrators.prod.api.tabsplatform.com/v3/invoices?page=1&limit=50';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://integrators.prod.api.tabsplatform.com/v3/invoices?page=1&limit=50"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://integrators.prod.api.tabsplatform.com/v3/invoices?page=1&limit=50")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://integrators.prod.api.tabsplatform.com/v3/invoices?page=1&limit=50")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://integrators.prod.api.tabsplatform.com/v3/invoices?page=1&limit=50', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://integrators.prod.api.tabsplatform.com/v3/invoices?page=1&limit=50");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://integrators.prod.api.tabsplatform.com/v3/invoices?page=1&limit=50")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```